/* === This file is part of Calamares - <http://github.com/calamares> ===
 *
 *   Copyright 2015, Teo Mrnjavac <teo@kde.org>
 *   Copyright 2018, Jonathan Carter <jcc@debian.org>
 *
 *   Calamares is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, or (at your option) any later version.
 *
 *   Calamares is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Calamares. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0;
import calamares.slideshow 1.0;

Presentation
{
    id: presentation

    Timer {
        id: advanceTimer
        interval: 4000
        running: false
        repeat: true
        onTriggered: presentation.goToNextSlide()
    }
    Slide {
        Image {
            id: background1
            source: "slide1.png"
            width: 1200; height: 735
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Text {
            anchors.horizontalCenter: background1.horizontalCenter
            anchors.top: background1.bottom
//            anchors.bottomMargin: -200
            text: "内核优化，响应速度更快。<br/>"
            wrapMode: Text.WordWrap
            width: 600
            font.pointSize: 24
            horizontalAlignment: Text.Center
        
            transform: [  
                Translate {  
                     y: -100 // 将文本向上移动 100 个像素  
                }  
            ]
        }
    }
    Slide {
        Image {
            id: background2
            source: "slide2.png"
            width: 1200; height: 735
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Text {
            anchors.horizontalCenter: background2.horizontalCenter
            anchors.top: background2.bottom
//            anchors.bottomMargin: -200
            text: "系统UI全新设计，体验更佳。<br/>"
            wrapMode: Text.WordWrap
            width: 600
            font.pointSize: 24
            horizontalAlignment: Text.Center
        
            transform: [  
                Translate {  
                     y: -100 // 将文本向上移动 100 个像素  
                }  
            ]
        }
    }
    Slide {
        Image {
            id: background3
            source: "slide3.png"
            width: 1200; height: 735
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Text {
            anchors.horizontalCenter: background3.horizontalCenter
            anchors.top: background3.bottom
//            anchors.bottomMargin: -200
            text: "应用软件重新选型，功能更全。<br/>"
            wrapMode: Text.WordWrap
            width: 600
            font.pointSize: 24
            horizontalAlignment: Text.Center
        
            transform: [  
                Translate {  
                     y: -100 // 将文本向上移动 100 个像素  
                }  
            ]
        }

    }
    Slide {
        Image {
            id: background4
            source: "slide4.png"
            width: 1200; height: 735
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Text {
            anchors.horizontalCenter: background4.horizontalCenter
            anchors.top: background4.bottom
//            anchors.bottomMargin: -200
            text: "外设支持增多，更好用。<br/>"
            wrapMode: Text.WordWrap
            width: 600
            font.pointSize: 24
            horizontalAlignment: Text.Center
        
            transform: [  
                Translate {  
                     y: -100 // 将文本向上移动 100 个像素  
                }  
            ]
        }

    }

    Component.onCompleted: advanceTimer.running = true

}
